using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public abstract class ModuleController : Controller {
	public GameObject spaceShip;
	protected GameObject spaceShipCollider;
	protected Rigidbody2D spaceShipColliderRigidbody2d;

	void Start () {
		init();
	}

	public void init() {
		spaceShip = gameObject.transform.parent.parent.gameObject;
		spaceShipCollider = spaceShip.transform.FindChild("Collider").gameObject;
		spaceShipColliderRigidbody2d = spaceShipCollider.GetComponent<Rigidbody2D>();
	}
}
